Skip to main content
GET
/
api
/
v1
/
workflow
/
{workflow_id}
/
runs
Get Workflow Runs
curl --request GET \
  --url https://app.asisso.com/api/v1/workflow/{workflow_id}/runs
import requests

url = "https://app.asisso.com/api/v1/workflow/{workflow_id}/runs"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://app.asisso.com/api/v1/workflow/{workflow_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "runs": [
    {
      "id": 123,
      "workflow_id": 123,
      "name": "<string>",
      "mode": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "is_completed": true,
      "transcript_url": "<string>",
      "recording_url": "<string>",
      "cost_info": {},
      "definition_id": 123,
      "initial_context": {},
      "gathered_context": {},
      "logs": {},
      "annotations": {}
    }
  ],
  "total_count": 123,
  "page": 123,
  "limit": 123,
  "total_pages": 123,
  "applied_filters": [
    {}
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Returns all runs for the given workflow, including both test runs and live call runs.

Headers

authorization
string | null
X-API-Key
string | null

Path Parameters

workflow_id
integer
required

Query Parameters

page
integer
default:1
limit
integer
default:50
filters
string | null

JSON-encoded filter criteria

sort_by
string | null

Field to sort by (e.g., 'duration', 'created_at')

sort_order
string | null
default:desc

Sort order ('asc' or 'desc')

Response

Successful Response

runs
WorkflowRunResponseSchema · object[]
required
total_count
integer
required
page
integer
required
limit
integer
required
total_pages
integer
required
applied_filters
Applied Filters · object[] | null